Upload payload files

  • POST
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /payload-files

Uploads one or more files to temporary storage and returns their identifiers; pass the identifiers together with target paths in the run request to place the files in the pipeline filesystem before execution

Uploads one or more files to temporary storage and returns their identifiers. Pass the identifiers together with target paths in the Run request to place the files in the pipeline filesystem before execution.

Request

REQUIRED SCOPES
EXECUTION_RUN
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
payload_filesPayloadFileView[]
The list of uploaded files

Last modified on Jul 28, 2026

Request example

CURL
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/payload-files" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS
200 OK